;;; tdtd-init.el --- Startup code for DTD mode
;;;
;;; Add this to your ~/.emacs or install this file into Emacs' site-start.d
    (setq load-path (append load-path '("/usr/share/emacs/site-lisp/tdtd")))

;; Load DTD mode
    (autoload 'dtd-mode "tdtd" "Major mode for SGML and XML DTDs." t)
    (autoload 'dtd-etags "tdtd"
	"Execute etags on FILESPEC and match on DTD-specific regular expressions." t)
    (autoload 'dtd-grep "tdtd" "Grep for PATTERN in files matching FILESPEC." t)

(setq auto-mode-alist
      (append
       (list
	'("\.dcl\'" . dtd-mode)
	'("\.dec\'" . dtd-mode)
	'("\.dtd\'" . dtd-mode)
	'("\.ele\'" . dtd-mode)
	'("\.ent\'" . dtd-mode)
	'("\.mod\'" . dtd-mode))
       auto-mode-alist))

;; Turn on font lock when in DTD mode
    (add-hook 'dtd-mode-hooks
	  'turn-on-font-lock)

;; Comment this to not use resize-minibuffer-mode
	(resize-minibuffer-mode)

